<?php
/*-------------------------------------------------------+
| PHP-Fusion 7 Content Management System
| Copyright © 2002 - 2007 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Infusion Name: attachments control panel
| Version: 3.0
| Author: elife (webmaster@elife.ae)
| Webpage: www.elife.ae
+--------------------------------------------------------+
| Adapted for Power Fusion Forum v.1.7
| Copyright © 2008-2009 Modified by .:MeF:.
| URL: http://x-iweb.ru/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

require_once "../../../maincore.php";
    require_once THEMES."templates/admin_header.php";
require_once ADMIN."navigation.php";
if (file_exists("locale/".$settings['locale'].".php")) {
	include "locale/".$settings['locale'].".php";
} else {
	include "locale/English.php";
}
require_once "common.php";

if (isset($_GET['attach_id']) && !isNum($_GET['attach_id'])) fallback("../index.php");
if (isset($_GET['post_id']) && !isNum($_GET['post_id'])) fallback("../index.php");

$result = dbquery("SELECT * FROM ".$db_prefix."download_cats");
if (dbrows($result) != 0) {
	if (isset($_POST['save_download'])) {
		$download_title = stripinput($_POST['download_title']);
		$download_description = addslash($_POST['download_description']);
		$download_url = stripinput($_POST['download_url']);
		$download_license = stripinput($_POST['download_license']);
		$download_os = stripinput($_POST['download_os']);
		$download_version = stripinput($_POST['download_version']);
		$download_filesize = stripinput($_POST['download_filesize']);
	
		$result = dbquery("INSERT INTO ".$db_prefix."downloads (download_title, download_description, download_url, download_cat, download_license, download_os, download_version, download_filesize, download_datestamp, download_count) VALUES ('$download_title', '$download_description', '$download_url', '$download_cat', '$download_license', '$download_os', '$download_version', '$download_filesize', '".time()."', '0')");
			redirect(ADMIN."downloads.php".$aidlink."&download_cat_id=$download_cat");
	}
	
		$result = dbquery("SELECT td.*,tdc.* FROM ".DB_FORUM_ATTACHMENTS." td
  		INNER JOIN ".DB_POSTS." tdc ON td.post_id=tdc.post_id and td.thread_id=tdc.thread_id"
		);
		$data = dbarray($result);
		$download_title = $data['attach_name'];
		$download_description = "<br>".$locale['a250']." <a href='".$settings['siteurl'].basename(FORUM)."/viewthread.php?forum_id=".$data['forum_id']."&thread_id=".$data['thread_id']."#post_".$data['post_id']."'>".$locale['a251']."</a>";
		$download_url = $settings['siteurl'].basename(FORUM)."/attachments/".$data['attach_name'];
		$download_license = "";
		$download_os = "";
		$download_version = "";
		$download_filesize = parsebytesize($data['attach_size']);
		$formaction = FUSION_SELF.$aidlink;
		$editlist = ""; 
		$result2 = dbquery("SELECT * FROM ".$db_prefix."download_cats ORDER BY download_cat_name");
		if (dbrows($result2) != 0) {
			while ($data2 = dbarray($result2)) {
				$editlist .= "<option value='".$data2['download_cat_id']."'>".$data2['download_cat_name']."</option>\n";
				}
			}
toolbar($locale['a252']);
opentable("");
	
	
	echo "<form name='inputform' method='post' action='$formaction'>
<table align='center' cellpadding='0' cellspacing='0' width='460'>
<tr>
<td width='80' class='tbl'>".$locale['a253']."</td>
<td class='tbl'><input type='text' name='download_title' value='$download_title' class='textbox' style='width:380px;'></td>
</tr>
<tr>
<td valign='top' width='80' class='tbl'>".$locale['a254']."</td>
<td class='tbl'><textarea name='download_description' rows='5' class='textbox' style='width:380px;'>".$download_description."</textarea></td>
</tr>
<tr>
<td class='tbl'></td><td class='tbl'>
<input type='button' value='b' class='button' style='font-weight:bold;width:25px;' onClick=\"addText('download_description', '<b>', '</b>');\">
<input type='button' value='i' class='button' style='font-style:italic;width:25px;' onClick=\"addText('download_description', '<i>', '</i>');\">
<input type='button' value='u' class='button' style='text-decoration:underline;width:25px;' onClick=\"addText('download_description', '<u>', '</u>');\">
<input type='button' value='link' class='button' style='width:35px' onClick=\"addText('download_description', '<a href=\'', '\' target=\'_blank\'>Link</a>');\">
<input type='button' value='img' class='button' style='width:35px' onClick=\"addText('download_description', '<img src=\'', '\' style=\'margin:5px\' align=\'left\'>');\">
<input type='button' value='center' class='button' style='width:45px' onClick=\"addText('download_description', '<center>', '</center>');\">
<input type='button' value='small' class='button' style='width:40px' onClick=\"addText('download_description', '<span class=\'small\'>', '</span>');\">
<input type='button' value='small2' class='button' style='width:45px' onClick=\"addText('download_description', '<span class=\'small2\'>', '</span>');\">
<input type='button' value='alt' class='button' style='width:25px' onClick=\"addText('download_description', '<span class=\'alt\'>', '</span>');\"><br>
</td>
</tr>
<tr>
<td width='80' class='tbl'>".$locale['a255']."</td>
<td class='tbl'><input type='text' name='download_url' value='$download_url' class='textbox' style='width:380px;'></td>
</tr>
<tr>
<td width='80' class='tbl'>".$locale['a256']."</td>
<td class='tbl'><select name='download_cat' class='textbox'>
$editlist</select></td>
</tr>
<tr>
<td width='80' class='tbl'>".$locale['a257']."</td>
<td class='tbl'><input type='text' name='download_license' value='$download_license' class='textbox' style='width:150px;'></td>
</tr>
<tr>
<td width='80' class='tbl'>".$locale['a258']."</td>
<td class='tbl'><input type='text' name='download_os' value='$download_os' class='textbox' style='width:150px;'></td>
</tr>
<tr>
<td width='80' class='tbl'>".$locale['a259']."</td>
<td class='tbl'><input type='text' name='download_version' value='$download_version' class='textbox' style='width:150px;'></td>
</tr>
<tr>
<td width='80' class='tbl'>".$locale['a224'].":</td>
<td class='tbl'><input type='text' name='download_filesize' value='$download_filesize' class='textbox' style='width:150px;'></td>
</tr>
<tr>
<td align='center' colspan='2' class='tbl'>";
	echo "<input type='submit' name='save_download' value='".$locale['a260']."' class='button'></td>
</tr>
</table>
</form>\n";
	closetable();
}else {
	opentable("");
	echo "<center>".$locale['a261']."<br>
".$locale['a262']."<br><br>
<a href='".ADMIN."download_cats.php".$aidlink."'>".$locale['a251']."</a>".$locale['a263']."</center>\n";
	closetable();
}

echo "</td>\n";
require_once THEMES."templates/footer.php";
?>