<?php
/*-------------------------------------------------------+
| PHP-Fusion 7 Content Management System
| Copyright © 2002 - 2007 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Infusion Name: attachments control panel
| Version: 3.0
| Author: elife (webmaster@elife.ae)
| Webpage: www.elife.ae
+--------------------------------------------------------+
| Adapted for Power Fusion Forum v.1.7
| Copyright © 2008-2009 Modified by .:MeF:.
| URL: http://x-iweb.ru/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

require_once "../../../maincore.php";
include LOCALE.LOCALESET."forum/admin.php";

if (!checkrights("I")) fallback("../index.php");
if (!defined("IN_FUSION")) { header("location: ../index.php"); exit; }

function getimagetype($aid) {
	$image_type = array(
		".zip" => "<img src='img/zip.png' alt='ZIP'>",
		".tar" => "<img src='img/tar.png' alt='TAR'>",
		".rar" => "<img src='img/rar.png' alt='RAR'>",
		".gif" => "<img src='img/gif.png' alt='GIF'>",
		".jpg" => "<img src='img/jpg.png' alt='JPG'>",
		".png" => "<img src='img/png.png' alt='PNG'>",
		".txt" => "<img src='img/txt.png' alt='TXT'>",
		".pdf" => "<img src='img/pdf.png' alt='PDF'>",
		".swf" => "<img src='img/fla.png' alt='SWF'>",
		".bmp" => "<img src='img/bmp.png' alt='BMP'>",
		".doc" => "<img src='img/doc.png' alt='DOC'>",
		".xls" => "<img src='img/xls.png' alt='XLS'>",
		".ppt" => "<img src='img/ppt.png' alt='PPT'>",
		".avi" => "<img src='img/avi.png' alt='AVI'>",
		".mov" => "<img src='img/mov.png' alt='MOV'>",
		".mp3" => "<img src='img/mp3.png' alt='MP3'>",
		".mpg" => "<img src='img/mpg.png' alt='MPG'>",
		".wav" => "<img src='img/wav.png' alt='WAV'>",
		".wma" => "<img src='img/wma.png' alt='WMA'>",
		".aiff" => "<img src='img/aiff.png' alt='AIFF'>",
		".ogg" => "<img src='img/ogg.png' alt='OGG'>",
		".html" => "<img src='img/html.png' alt='HTML'>",
		".htm" => "<img src='img/html.png' alt='HTML'>"
	);
	if (array_key_exists($aid, $image_type)){
	$fileimage = $image_type[$aid];
	}else{
	$fileimage = "<img src='img/file.png'  alt='".$aid."'>";
	}
	
	return $fileimage;
}

function getimagetypezip($aid) {
global $locale;
	$archive = array("zip", "tar", "rar", "7z", "jar", "");
	$audio = array("wav", "wma", "mp3", "aac", "aiff", "ogg");
	$thumbdb = array("db");
	$doc = array("txt", "doc", "xls", "pdf", "ppt", "pps", "htm", "html", "asp", "php", "csv", "rtf", "css");
	$application = array("exe", "dll", "com", "pdf", "ppt", "htm", "html");
	$font = array("ttf");
	$image = array("jpg", "jpeg", "gif", "png", "bmp", "ico", "psd", "psp", "tiff");
	$link = array("url");
	$video = array("avi", "mpg", "mpeg", "mov", "rm", "ram", "mp4", "3gp", "flv", "swf");
	
	if (in_array($aid, $archive)){
		$fileimagezip = "<img src='img/zip_archive.png'  alt='".$locale['a200']."'>";
	}elseif (in_array($aid, $audio)){
		$fileimagezip = "<img src='img/zip_audio.png'  alt='".$locale['a201']."'>";
	}elseif (in_array($aid, $thumbdb)){
		$fileimagezip = "<img src='img/zip_db.png'  alt='".$locale['a202']."'>";
	}elseif (in_array($aid, $doc)){
		$fileimagezip = "<img src='img/zip_doc.png'  alt='".$locale['a203']."'>";
	}elseif (in_array($aid, $application)){
		$fileimagezip = "<img src='img/zip_exe.png'  alt='".$locale['a204']."'>";
	}elseif (in_array($aid, $font)){
		$fileimagezip = "<img src='img/zip_font.png'  alt='".$locale['a205']."'>";
	}elseif (in_array($aid, $image)){
		$fileimagezip = "<img src='img/zip_image.png'  alt='".$locale['a206']."'>";
	}elseif (in_array($aid, $link)){
		$fileimagezip = "<img src='img/zip_link.png'  alt='".$locale['a207']."'>";
	}elseif (in_array($aid, $video)){
		$fileimagezip = "<img src='img/zip_video.png'  alt='".$locale['a208']."'>";
	}else{
		$fileimagezip = "<img src='img/zip_unknown.png'  alt='".$locale['a209']."'>";
	}
	
	return $fileimagezip;
}

function toolbar($title) {
global $locale, $aidlink;
include FORUM."includes/admin_menu.php";
opentable($title);
echo "<table align='center' width='100%'><tr><td width='1%' valign='middle'>
<a href='attachments_admin.php".$aidlink."'><img src='img/home.png' border='0' alt='".$locale['a210']."'></a>
 <a href='statistics.php".$aidlink."'><img src='img/stats.png' border='0' alt='".$locale['a211']."'></a>
 <a href='search_attachments.php".$aidlink."'><img src='img/find.png' border='0' alt='".$locale['a212']."'></a></td>";

echo "</tr></table>\n";
closetable();
tablebreak();
}

?>