<?php
/*-------------------------------------------------------+
| Power Fusion Forum v.2.2.0
| Copyright © 2008-2009 Powered by .:MeF:.
| URL: http://x-iweb.ru/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

class navigator {
	var $total; //сколько всего элементов требуется вывести
	var $elements_to_page; //сколько элементов нужно выводить на одной странице
	var $groups; //сколько групп страниц (или просто страниц) выводить
	var $view_to_end; //выводить ли ссылки на первую и последнюю группы или страницы
	var $view_to_next; //выводить ли ссылки на следующую и предыдущую группы или страницы
	var $current_page; //текущая страница
	
	//визуальное отображение ссылок (все что межно поместить между тегами <a></a>)
	var $view_pages; // показываются номера страниц вместо номеров элементов(1, 2, 3 вместо 1-3, 4-6, 7-9)
	var $marker_start; //вид ссылки на первую группу или страницу
	var $marker_end; //вид ссылки на последнюю группу или страницу
	var $marker_previous; //вид ссылки на предыдущую группу или страницу
	var $marker_next; //вид ссылки на следующую группу или страницу
	var $delimiter; //разделитель групп или страниц
	var $style; //стиль для ссылок (параметр style тега <a>)
	var $style_selected; //стиль для выбранной страницы
	var $user_class; //класс для стиля ссылок (параметр class тега <a>)
	var $user_class_selected; //класс для стиля выбранной страницы
	
	function navigator($total, $elements_to_page, $page) {
	global $locale;
		$this -> view_pages = true;
		$this -> total = $total;
		$this -> elements_to_page = $elements_to_page;
		$this -> groups = 5;
		$this -> view_to_end = true;
		$this -> view_to_next = true;
		$this -> marker_start = "<<";
		$this -> marker_end = ">>";
		$this -> marker_previous = "<";
		$this -> marker_next = ">";
		$this -> delimiter = "";
		$this -> style = "";
		$this -> style_selected = "";
		$this -> user_class = "";
		$this -> user_class_selected = "";
		$this -> locale_1 = $locale['global_092'];
        $this -> locale_2 = $locale['global_093'];
		
		if (isset($page) && preg_match("/^([0-9]+)$/", $page)) {
			$this -> current_page = $page;
		}
		else {
			$this -> current_page = 1;
		}
	}
	
	function print_navigator($url) {
		//сколько всего надо страниц
		$pages = ceil($this -> total/$this -> elements_to_page);
		
		if ($this -> groups%2 == 0) {
			$minus = $this -> groups/2 - 1;
			$plus = $this -> groups/2;
		}
		else {
			$minus = ceil($this -> groups/2) - 1;
			$plus = $minus;
		}
		
		if ($pages > $this -> groups) {
			$start_page = $this -> current_page - $minus;
			$end_page = $this -> current_page + $plus;
		
			if ($start_page <= 1) {
				$start_page = 1;
				$end_page = $start_page + $this -> groups - 1;
			}
			if ($end_page >= $pages) {
				$start_page = $pages - $this -> groups + 1;
				$end_page = $pages;
			}
		}
		else {
			$start_page = 1;
			$end_page = $pages;
		}
		
		$to_end = "<a href=".$url."page=$pages style='".$this -> style."' class='".$this -> user_class."'>".$this -> marker_end."</a>";
		$to_start = "<a href=".$url."page=1 style='".$this -> style."' class='".$this -> user_class."'>".$this -> marker_start."</a>";
		$next = "<a href=".$url."page=".($this -> current_page + 1)." style='".$this -> style."' class='".$this -> user_class."'>".$this -> marker_next."</a>";
		$previous = "<a href=".$url."page=".($this -> current_page - 1)." style='".$this -> style."' class='".$this -> user_class."'>".$this -> marker_previous."</a>";
		
		if ($end_page == $pages) {
			$next = "";
			$to_end = "";
		}
		
		if ($start_page == 1) {
			$previous = "";
			$to_start = "";
		}
		
		echo "<div class='pagenav'>".$this -> locale_1.$this -> current_page.$this -> locale_2.$pages."&nbsp;&nbsp;";
		echo "".($this -> view_to_end == true) ? $to_start : "";
		echo ($this -> view_to_next == true) ? $previous : "";
		for ($i = $start_page; $i <= $end_page; $i++) {
			$start = ($i - 1) * $this -> elements_to_page + 1;
			$end = $start + $this -> elements_to_page - 1;
			
			$current_delimiter = $this -> delimiter; //разделитель по умолчания
			if ($i == $end_page) { //после последней группы его не выводим
				$current_delimiter = "";
			}
			
			//чтобы в последней группе количество страниц не превышало общее их количество
			if ($end > $this -> total) {
				$end = $this -> total;
			}
			
			if ($this -> current_page == $i) {
				if ($this -> view_pages == true) {
					echo "<span style='".$this -> style_selected."' class='".$this -> user_class_selected."'>".$i."</span>".$current_delimiter;
				}
				else {
					echo "<span style='".$this -> style_selected."' class='".$this -> user_class_selected."'>".$start."-".$end."</span>".$current_delimiter;
				}
			}
			else {
				if ($this -> view_pages == true) {
					echo "<a href=".$url."page=$i style='".$this -> style."' class='".$this -> user_class."'>".$i."</a>".$current_delimiter;
				}
				else {
					echo "<a href=".$url."page=$i style='".$this -> style."' class='".$this -> user_class."'>".$start."-".$end."</a>".$current_delimiter;				
				}
			}
		}
		echo ($this -> view_to_next == true) ? $next : "";
		echo ($this -> view_to_end == true) ? $to_end : "</div>";
	}
	
	function get_current_page() {
		return $this -> current_page;
	}
}

// КАК ИСПОЛЬЗОВАТЬ

function power_navigator($num, $elements, $page, $url) {
global $locale;

$total = $num; //сколько у нас всего элементов
$elements_to_page = $elements; //по сколько элементов выводить на странице

$nav = new navigator($total, $elements_to_page, $page); //создаем навигатор

//вот так это можно использовать в слачае выборки из базы данных
$start_row = ($nav -> get_current_page() * $elements_to_page) - $elements_to_page + 1; //вычисляем запись, с которой нужно начать выбирать

//устанавливаем свойства по вкусу
$nav -> view_to_end = true; //показывать ссылки на первый и последний элементы
$nav -> view_to_next = true; //показывать ссылки на предыдущий и следующий элементы

//задаем внешний вид ссылок
$nav -> marker_start = "&laquo;".$locale['PF719']; //на первый элемент
$nav -> marker_end = $locale['PF720']."&raquo;"; //на последний элемент
$nav -> marker_previous = "<"; //на предыдущий элемент
$nav -> marker_next = ">"; //на следующий элемент
//$nav -> delimiter = "&nbsp;&nbsp;|&nbsp;&nbsp;"; //разделитель групп
//$nav -> style = "font-family: Arial; color: #a00"; //стиль для ссылок
//$nav -> style_selected = "font-family: Arial; color: #aaa"; //стиль для текущей страницы

//выводим навигатор
$nav -> print_navigator($url);
}

?>