<?php
// Post Titles
$locale['400'] = "Preview Thread";
$locale['401'] = "Post Thread";
$locale['402'] = "Preview Reply";
$locale['403'] = "Reply to Thread";
$locale['404'] = "Post Reply";
$locale['405'] = "Preview Changes";
$locale['407'] = "Delete Post";
$locale['408'] = "Edit Post";
$locale['409'] = "Save Changes";
// Post Preview
$locale['420'] = "No Subject";
$locale['421'] = "No Message, Post will be rejected if you do not include a Message";
$locale['422'] = "Author:";
$locale['423'] = "Posts:";
$locale['424'] = "Location:";
$locale['425'] = "Joined:";
$locale['426'] = "Posted on ";
$locale['427'] = "Edited by ";
$locale['428'] = " on ";
$locale['429'] = " wrote:";
// Post Error/Success
$locale['440a'] = "Attachment file type not allowed.";
$locale['440b'] = "Invalid attachment filename or filesize.";
$locale['441'] = "Error: You did not specify a Subject and/or Message";
$locale['442'] = "Your Thread has been Posted";
$locale['443'] = "Your Reply has been Posted";
$locale['444'] = "The Thread has been deleted";
$locale['445'] = "The Post has been deleted";
$locale['446'] = "Your Post has been updated";
$locale['447'] = "Return to Thread";
$locale['448'] = "Return to Forum";
$locale['449'] = "Return to Forum Index";
$locale['450'] = "Error: Your cookie session has expired, please login and repost";
$locale['451'] = "Track Thread";
$locale['452'] = "You are now tracking this thread";
$locale['453'] = "You are no longer tracking this thread";
// Post Form
$locale['460'] = "Subject";
$locale['461'] = "Message";
$locale['462'] = "Font Color: ";
$locale['463'] = "Options";
$locale['464'] = "Attachment";
$locale['465'] = " (Optional)";
$locale['466'] = "Max. filesize: %s / Allowed filetypes: %s";
$locale['467'] = "Add Poll (Optional)";
$locale['468'] = "Edit Poll";
$locale['469'] = "Poll Title";
$locale['470'] = "Poll Option";
$locale['471'] = "Add Option";
$locale['472'] = "Update";
$locale['473'] = "Delete";

// Power Fusion Forum
$locale['PF474'] = "Icons";
$locale['PF475'] = "You can choose an icon to indicate the message:";
$locale['PF476'] = " No icon";
$locale['PF477'] = "Translit";
$locale['PF478'] = "Icon";
$locale['PF479'] = "Reason for edit:";
$locale['PF480'] = "Comment of the administrator";
$locale['PF481'] = "Comment";
$locale['PF482'] = "The level of warning the member ";
$locale['PF483'] = "Warnings";
$locale['PF484'] = "Reason";
$locale['PF485'] = "Date";
$locale['PF486'] = "Your warning level raised to ";
$locale['PF487'] = "Warning level raised";
$locale['PF488'] = "Your warning level down to ";
$locale['PF489'] = "Warning level lowered";
$locale['PF490'] = "Member ";
$locale['PF491'] = "Enter the reason";
$locale['PF492'] = "Change level of warnings";
$locale['PF493'] = "Panel warnings the member";

$locale['PF494'] = "Message forum";
$locale['PF495'] = "Sorry, you do not have access to all functions of the forum in order to obtain all necessary rights, you must write";
$locale['PF496'] = "You are not authorized. You can do so using the form below.";
$locale['PF497'] = "Links";
$locale['PF498'] = "The relationship with the administration of a forum";
$locale['PF499'] = "Back";
$locale['PF500'] = "Description of the thread";
$locale['PF501'] = "Title";
$locale['PF502'] = "Comment of the moderator";

$locale['PF503'] = "Abuse in the message";
$locale['PF504'] = "Author";
$locale['PF505'] = "<b>Warning:</b> this form is only for notification of the message that contains obscene language, insults, spamming, or who violate the rules of the forum or in this section.";
$locale['PF506'] = "The text of the abuset";
$locale['PF507'] = "Send feedback";
$locale['PF508'] = "Your complaint is sent to the administration for its consideration";
$locale['PF509'] = "Allowed file types: ";
$locale['PF510'] = "You can attach a maximum ";
$locale['PF511'] = " file(s), size no more ";
$locale['PF512'] = "Your comment was successfully published";
$locale['PF513'] = "Delete poll";
$locale['PF514'] = "Freeze the first message";

$locale['PF661'] = "Home";
$locale['PF662'] = "10 last posts in reverse order";

$locale['THNK_001'] = "Thanks";
$locale['THNK_002'] = "Your gratitude is added.";
$locale['THNK_003'] = "You have declared your gratitude.";

$locale['PFN101'] = "Welcome, ";
$locale['PFN102'] = "[Logout]";
$locale['PFN103'] = "Your last visit: ";
$locale['PFN104'] = "Private messages:";
$locale['PFN105'] = " New ";
$locale['PFN106'] = ", total ";
$locale['PFN107'] = "New messageы";
$locale['PFN108'] = "Rules";
$locale['PFN109'] = "My Account";
$locale['PFN110'] = "Members";
$locale['PFN111'] = "Search";

// Post Form Options
$locale['480'] = "Make this Thread Sticky";
$locale['481'] = "Lock this Thread";
$locale['482'] = "Disable Smileys in this Post";
$locale['483'] = "Show My Signature in this Post";
$locale['484'] = "Delete this Post";
$locale['485'] = "Delete attachment -";
$locale['486'] = "Notify me when a reply is posted";
// Post Access Violation
$locale['500'] = "You cannot edit this post.";
// Search Forum Form
$locale['530'] = "Search Forum";
$locale['531'] = "Search Keyword(s)";
$locale['532'] = "Search";
// Forum Notification Email
$locale['550'] = "Thread Reply Notification - {THREAD_SUBJECT}";
$locale['551'] = "Hello {USERNAME},

A reply has been posted in the forum thread '{THREAD_SUBJECT}' which you are tracking at ".$settings['sitename'].". You can use the following link to view the reply:

{THREAD_URL}

If you no longer wish to watch this thread you can click the 'Stop tracking this thread' link located at the top of the thread.

Regards,
".$settings['siteusername'].".";
?>